from fastapi import Depends
from dependency_injector.wiring import Provide, inject
from container import Container
from utils.secure import JWTAuthorization
from fastapi import Security
from fastapi.security import HTTPAuthorizationCredentials


@inject
def check_auth(
    jwt_auth: JWTAuthorization = Depends(Provide[Container.jwt_auth]),
    auth: HTTPAuthorizationCredentials = Security(JWTAuthorization.security)
) -> str:
    jwt_auth.verify(auth)  # Check auth
